import request from '@/utils/request'

// 授权加密requset
export function approveDate(data) {
	return request({
		url: '/api/user/approveDate',
		method: 'post',
		data
	});
}

// 激活加密requset
export function transferDate(data) {
	return request({
		url: '/api/user/transferDate',
		method: 'post',
		data
	});
}

// 提币计算
export function extractCaculator(data) {
	return request({
		url: '/api/user/extractCaculator',
		method: 'post',
		data
	});
}

// 取回NLP
export function getNLP(data) {
	return request({
		url: '/api/user/getNLP',
		method: 'post',
		data
	});
}

// 授权
export function approveUser(data) {
	return request({
		url: '/api/user/approveUser',
		method: 'post',
		data
	});
}

// 激活
export function activateUser(data) {
	return request({
		url: '/api/user/activateUser',
		method: 'post',
		data
	});
}

// 升级
export function levelUp(data) {
	return request({
		url: '/api/user/levelUp',
		method: 'post',
		data
	});
}

// 提币
export function extractUSDT(data) {
	return request({
		url: '/api/user/extractUSDT',
		method: 'post',
		data
	});
}